Subject: [Ltru] Liaison with TC37/SC2

From: "Doug Ewell" <[email-masked]>
Date: Thu, 12 Oct 2006 23:31:50 -0700

I've obtained a copy of the FDIS text for ISO 639-3 from Sue Ellen 
Wright, Chair of the US ANSI Technical Advisory Group (TAG).

I suspect other list memebers will want their very own copy as well, and 
so I'm wondering if the group thinks it would be beneficial for either 
the LTRU WG or the ietf-languages list to create an IETF liaison with 
ISO TC37/SC2, the subcommittee that is developing ISO 639-3.  This might 
give us a quicker response on things like updated documentation and 
information about 639-3.

--
Doug Ewell  *  Fullerton, California, USA  *  RFC 4645  *  UTN #14
http://users.adelphia.net/~dewell/
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Debbie Garside" <[email-masked]>
Date: Fri, 13 Oct 2006 08:37:31 +0100

Doug wrote:

> I'm wondering if the group thinks it would be 
> beneficial for either the LTRU WG or the ietf-languages list 
> to create an IETF liaison with ISO TC37/SC2, the subcommittee 
> that is developing ISO 639-3. 

I think that is an excellent idea... Now where have I heard it before? ;-)

One slight correction it is TC37/SC2/WG1 and this WG deals with the ISO 639
family as a whole not just 639-3.

I propose Doug Ewell as Liaison.

Best regards

Debbie

> -----Original Message-----
> From: Doug Ewell [mailto:[email-masked]] 
> Sent: 13 October 2006 07:32
> To: LTRU Working Group
> Cc: Sue Ellen Wright
> Subject: [Ltru] Liaison with TC37/SC2
> 
> I've obtained a copy of the FDIS text for ISO 639-3 from Sue 
> Ellen Wright, Chair of the US ANSI Technical Advisory Group (TAG).
> 
> I suspect other list memebers will want their very own copy 
> as well, and so I'm wondering if the group thinks it would be 
> beneficial for either the LTRU WG or the ietf-languages list 
> to create an IETF liaison with ISO TC37/SC2, the subcommittee 
> that is developing ISO 639-3.  This might give us a quicker 
> response on things like updated documentation and information 
> about 639-3.
> 
> --
> Doug Ewell  *  Fullerton, California, USA  *  RFC 4645  *  
> UTN #14 http://users.adelphia.net/~dewell/

---

From: Frank Ellermann <[email-masked]>
Date: Fri, 13 Oct 2006 10:06:36 +0200

> I propose Doug Ewell as Liaison.
+1 in <http://article.gmane.org/gmane.ietf.ltru/5444>
Or John or Peter (sparing one of them for the opposite direction)

---

From: Marion Gunn <[email-masked]>
Date: Fri, 13 Oct 2006 14:10:08 +0000

On 13 Oct 2006, at 06:31, scríobh Doug Ewell:

> I suspect other list memebers will want their very own copy as  
> well, and so I'm wondering if the group thinks it would be  
> beneficial for either the LTRU WG or the ietf-languages list to  
> create an IETF liaison with ISO TC37/SC2, the subcommittee that is  
> developing ISO 639-3.

it would.

> This might give us a quicker response on things like updated  
> documentation and information about 639-3.
>

It might.
mg

- -
Marion Gunn * EGTeo (Estab.1991)
27 Páirc an Fhéithlinn, Baile an
Bhóthair, Co. Átha Cliath, Éire.
* [email-masked] * [email-masked] *

---

From: Peter Constable <[email-masked]>
Date: Fri, 13 Oct 2006 06:17:37 -0700

In ISO, liaisons to other bodies are created at the TC or SC level,
never at the WG level. Also, it is really the SC that owns the 639
projects. So, it probably makes sense that a liaison would be to SC2.
But since it would be coming from the IETF side, I guess it's up to
people on this side to decide what group they want to relate to.

Peter

-----Original Message-----
From: Debbie Garside [mailto:[email-masked]] 
Sent: Friday, October 13, 2006 12:38 AM
To: 'LTRU Working Group'; 'Doug Ewell'
Subject: RE: [Ltru] Liaison with TC37/SC2

> that is developing ISO 639-3. 

I think that is an excellent idea... Now where have I heard it before?
;-)

One slight correction it is TC37/SC2/WG1 and this WG deals with the ISO
639
family as a whole not just 639-3.

Best regards

Debbie

---

From: Marion Gunn <[email-masked]>
Date: Fri, 13 Oct 2006 14:53:40 +0000

Might I suggest that, as Sue-Ellen (of ANSI, who used to be an ISO  
colleague of mine) is an American and SIL (RA for 639-3) also  
American and ISO/TC 37/SC 2 already has an American Chair, we propose  
some person(s) born in some other country less under the influence of  
current US foreign policy in re territorial/linguistic designations  
and more eager to respect more diverse opinions (excluding Austria,  
because either 639-1 or 639-2 - whichever! - already has an Austrian  
RA, which only supports the other to be under LOC_US control)? I  
propose this as someone with an ever-growing number of US-born  
friends who feel embarrassed by this irrational and totally  
unnecessary push towards monopoly and who would rather much rather  
operate professionally in a freer, less unequal atmosphere (where  
nobody can blame any one country, especially _their_ native country,  
for errors - and who could blame anyone for desiring that?).
mg

- -

---

From: "Randy Presuhn" <[email-masked]>
Date: Fri, 13 Oct 2006 13:35:29 -0700

Hi -

> From: "Doug Ewell" <[email-masked]>
> To: "LTRU Working Group" <[email-masked]>
> Cc: "Sue Ellen Wright" <[email-masked]>
> Sent: Thursday, October 12, 2006 11:31 PM
...

Writing as a technical contributor...

The information flow is most welcome, but...
Just why would an official liaison relationship be necessary?

As long as there is some overlap in the participants, and the
necessary information travels where it needs to go, I think we're
ok. Making it an official liaison relationship brings things under BCP
103 (RFC 4053) which might be a bit heavier-weight than we really
need or want.

My experience in other WGs both in ISO land as well as here in the
IETF is that chairs on both ends are quite reasonable about permitting
preliminary document access to outside experts, especially when there
is closely related work or inter-dependencies.  There are times when
formal channels become necessary, but my strong personal preference
is to set up formal liaison relationships only when absolutely necessary.

Randy

---

From: Frank Ellermann <[email-masked]>
Date: Sat, 14 Oct 2006 04:24:33 +0200

Randy Presuhn wrote:

> my strong personal preference is to set up formal liaison
> relationships only when absolutely necessary.

Somehow Harald (?) managed to get an official letter from
the entity "ISO 639 RA JAC" and copied it into RFC 3066.
Years later we copied that statement from 3066 to 4646.

That could need an update confirming that there won't be
conflicts between 639-1/2 and 639-3, and that withdrawn
codes are never reassigned.

Is that possible without a formal exchange ?  If not this
shouldn't be too bureaucratic:

1 - WG sends request to "RA JAC" (i.e. somebody does this
    on behalf of the WG, and for that part this person has
    to be authorized to speak for the WG).
2 - "RA JAC" sends a reply to the WG (or not), posted here.
3 - WG is happy with the reply (or not), liaison sends a
    "thanks" (and that terminates this liaison activity).
4 - Updated official statement integrated into 4646bis.

Frank

---

From: "Sue Ellen Wright" <[email-masked]>
Date: Fri, 13 Oct 2006 08:00:28 -0400

Dear colleagues,
I think a formal liaison between TC 37/SC 2 and the IETF/LTRU WG is
essential. There have been many informal discussions over the years because
many of us know each other, but it's really important that the working
relationship be as close and cooperative as possible. (I've just spent a few
hours in the last few days studying the new documents that have been posted
for BCP 47.) I personally am not directly involved in the language code WG,
although I try to track what is happening on all fronts on an ongoing basis.
Not an easy task, actually! Can anyone tell me just what sort of arrangement
if any exists, or do we need to initiate action to establish formal liaison?
Best regards
Sue Ellen

-- 
Sue Ellen Wright
Institute for Applied Linguistics
Kent State University
Kent OH 44242 USA
[email-masked]
[email-masked]
[email-masked]
_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Debbie Garside" <[email-masked]>
Date: Sat, 14 Oct 2006 10:34:06 +0100

> 4 - Updated official statement integrated into 4646bis.

If only it were that simple. I think IETF-languages and LTRU would benefit
greatly from a liaison with TC37/SC2 (WG1).  Liaison would be tasked to work
in the interests of the IETF at ISO level, in particular with regard to the
updating of standards and designing of new standards. ISO 639-1 and -2 are
scheduled for update next year.  ISO 639-6 is scheduled for publication in
January 2008 with ISO 639-4 and -5 slightly sooner.  There is lots going on
at WG level that IETF should have knowledge of.  Liaison to JAC is not
helpful at all in this case as the JAC purely make decisions on new
registration requests and are not involved in the standard writing process;
which is at WG level.

Best regards

Debbie

---

From: Frank Ellermann <[email-masked]>
Date: Sat, 14 Oct 2006 13:47:47 +0200

Debbie Garside wrote:

> If only it were that simple.

Okay, apparently I'm alone with the idea that this is only
about LTRU, which will be history soon if all goes well.

Above the WG level it's either the applications area, or
the complete IETF.  We've already discussed this on the
language subtag review list (but that was about ISO 3166):

<http://article.gmane.org/gmane.ietf.languages/2479>

Country codes normally aren't IETF territory - somebody
from ICANN is apparently trying to represent the Internet
at large in the 3166-MA.  Where that page says "BSI" they
might talk about you, and where it says DIN I'd refuse to
acknowldege that this person represents my interests just
because of a "D".

For scripts I found the pages hosted by Unicode, and for
obvious reasons that needs no formal relationship (Doug,
did you see that there are two new scripts, announced on
the Unicode list?)

That leaves 639-x as far as the language subtag registry
is concerned.  And LTRU can't be the counterpart you're
looking for.

What do you think a liaison with the applications area
or with the complete IETF could do ?  RFC 4052/4053 are
apparently limiting that to "forward document", "receive
document", and "say 'thanks'".

And then the person on the IETF side of things needs to
know which WGs might be affected / interested, and post
the received info on their list.  For that part it helps
to know which WGs exist and what the *meep* they're trying
to do.  Some former or active ADs and WG Chairs probably
know this (e.g. Harald or Scott).

> Liaison would be tasked to work in the interests of the
> IETF at ISO level, in particular with regard to the
> updating of standards and designing of new standards.

I guess we can strike "area", what you have in mind is at
the IAB level, and that's far away from LTRU (ignoring all
minor obstacles like a consensus recognized by Martin or
Randy).

And what's "the interests of the IETF" wrt 639-x, and why
should the IAB dare claim to represent these interests ?
Some "candidates" for that task are busy with IDN and EAI
[and the IETF desperately needs them there, not elsewhere]

> There is lots going on at WG level that IETF should have
> knowledge of.

I'm lost what that might be, but I'd know where to find it
if it's from the W3C:

<http://dir.gmane.org/gmane.org.w3c.announce>

The IETF announce list is too busy to read it completely:

<http://dir.gmane.org/gmane.ietf.announce>

In the weeks before an IETF meeting there can be 20 I-Ds
announced per day.  You could filter it, skip all I-Ds,
read only IESG and RFC-editor announcements, with that you
get still all RFCs, IETF last calls, new WG charters, etc.

You could also read the IETF journal published by ISOC,
but that's about the past, the last issue some weeks ago
is state of the art IETF 66 (= four months ago):

<http://www.isoc.org/ietfjournal/>

If some part of ISO responsible for 639-x (or more) has
something similar please post an URL (text or HTML if
possible, no PDF or DOC horror shows... ;-)

Frank

---

From: "Debbie Garside" <[email-masked]>
Date: Sat, 14 Oct 2006 13:53:52 +0100

Hi Marion

There are moves afoot within ISO to try to encourage participation from as
many nationalities as possible so I think I know what you are getting at
here; it is never a bad thing.  However, for me, in this instance, it is
about who is the best person for the job and that person IMHO is Doug Ewell.
I am more than a little fed up with all this political correctness we have
in society today.  I really do not care whether or not Doug is an African,
one legged lesbian who fits the criteria of today's politically correct
madness of inclusion of the minorities at the expense of society in general
just so we can say "aren't we so good".  The IETF is an open forum; anyone
can join.  If Doug was an African, one legged lesbian I would still nominate
him (or her as he would be) :-) because he is the best man for the job.

Best regards

Debbie  

> From: Marion Gunn [mailto:[email-masked]] 
> Sent: 13 October 2006 15:54
> To: [email-masked]
> Subject: Re: [Ltru] Re: Liaison with TC37/SC2
> 
> Might I suggest that, as Sue-Ellen (of ANSI, who used to be 
> an ISO colleague of mine) is an American and SIL (RA for 
> 639-3) also American and ISO/TC 37/SC 2 already has an 
> American Chair, we propose some person(s) born in some other 
> country less under the influence of current US foreign policy 
> in re territorial/linguistic designations and more eager to 
> respect more diverse opinions (excluding Austria, because 
> either 639-1 or 639-2 - whichever! - already has an Austrian 
> RA, which only supports the other to be under LOC_US 
> control)? I propose this as someone with an ever-growing 
> number of US-born friends who feel embarrassed by this 
> irrational and totally unnecessary push towards monopoly and 
> who would rather much rather operate professionally in a 
> freer, less unequal atmosphere (where nobody can blame any 
> one country, especially _their_ native country, for errors - 
> and who could blame anyone for desiring that?).
> mg
>

---

From: John Cowan <[email-masked]>
Date: Sat, 14 Oct 2006 10:22:49 -0400

Frank Ellermann scripsit:

> the complete IETF.  

What we have here is a failure to communicate.  Debbie is speaking of ISO
WGs, not IETF WGs.  ISO WGs are fairly permanent (they don't expire unless
reaped by the parent SubCommittee), and do most of their business in FTF
meetings a few times a year (hence the relevance of travel).  (The fact
that liaisons are accredited to the parent SC is a technicality.)

The reason for this is that ISO standards are reviewed every five years
to see whether they should be approved as-is, replaced, declared stable,
or made obsolete.  RFCs on the other hand are always stable by default
and are replaced only by explicit action; consequently, IETF WGs are
rather transient.

So on the level of standardization work, it's hard for the IETF and
ISO to liaise, because there is no permanent entity on the IETF side
concerned with language tags.  On the level of adding code elements
to existing standards, the problem is even worse, because the group of
people on ietf-languages isn't even part of the IETF as such, so there
is nothing for the 639/RA-JAC to liaise with.

To make things worse, IETF WGs operate openly and by individuals, ISO
WGs confidentially and by countries.  It doesn't do Doug that much good
to know what's coming down in the ISO WG if he can't talk about it here.

"I fear our intellectual differences are an insuperable barrier!"
	--Tom Stoppard parodying Oscar Wilde

-- 
John Cowan    http://ccil.org/~cowan  [email-masked]
The Penguin shall hunt and devour all that is crufty, gnarly and
bogacious; all code which wriggles like spaghetti, or is infested with
blighting creatures, or is bound by grave and perilous Licences shall it
capture.  And in capturing shall it replicate, and in replicating shall
it document, and in documentation shall it bring freedom, serenity and
most cool froodiness to the earth and all who code therein.  --Gospel of Tux

---

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 14 Oct 2006 11:08:40 -0700

Hi -

> From: "Sue Ellen Wright" <[email-masked]>
> To: "Doug Ewell" <[email-masked]>; "[email-masked]" <[email-masked]>; "Håvard Hjulstad"
<[email-masked]>; "Jennifer DeCamp" <[email-masked]>
> Cc: "Gerhard Budin" <[email-masked]>; "LTRU Working Group" <[email-masked]>
> Sent: Friday, October 13, 2006 5:00 AM
> Subject: [Ltru] Re: Liaison with TC37/SC2
>
> Dear colleagues,
...

Keep in mind that the IETF ltru WG should
cease to exist sometime in early 2007.

Randy
ltru co-chair

---

From: Frank Ellermann <[email-masked]>
Date: Sat, 14 Oct 2006 19:39:35 +0200

John Cowan wrote:

> Debbie is speaking of ISO WGs, not IETF WGs.

ACK, that was clear, I got that from the context.

> "I fear our intellectual differences are an insuperable barrier!"

It's interesting to dig through historical pages, the JTC1/SC2
liaison was apparently arranged by Brian as IAB Chair in 1996
to get online access on ISO 10646:

http://www3.ietf.org/proceedings/96dec/gen/iab96/sld002.htm

What's a "convener", something like a Chair or an AD ?  I've
found the TC37/SC2 page:
http://www.iso.org/iso/en/CatalogueListPage.CatalogueList?COMMID=1469&scopelist=ALL

64 CHF for a look into 21 pages of an ISO 639-5 draft, I can
see a minor problem here, along the line of "It's dead, Jim".

Frank

---

From: John Cowan <[email-masked]>
Date: Sat, 14 Oct 2006 15:00:26 -0400

> cease to exist sometime in early 2007.

It may need to be revived in order to handle 639-6, however, when
that appears.

-- 
John Cowan  [email-masked]  http://ccil.org/~cowan
The penguin geeks is happy / As under the waves they lark
The closed-source geeks ain't happy / They sad cause they in the dark
But geeks in the dark is lucky / They in for a worser treat
One day when the Borg go belly-up / Guess who wind up on the street.

---

From: John Cowan <[email-masked]>
Date: Sat, 14 Oct 2006 20:03:09 -0400

Frank Ellermann scripsit:

> What's a "convener", something like a Chair or an AD ?  

Could be either: there are conveners at all three levels (Technical
Committee or Joint Technical Committee, SubCommittee, and Working Group).

> see a minor problem here, along the line of "It's dead, Jim".

That's how ISO stays afloat.

-- 
John Cowan  [email-masked]  http://www.ccil.org/~cowan
Thor Heyerdahl recounts his attempt to prove Rudyard Kipling's theory
that the mongoose first came to India on a raft from Polynesia.
        --blurb for Rikki-Kon-Tiki-Tavi

---

From: Peter Constable <[email-masked]>
Date: Sun, 15 Oct 2006 22:18:37 -0700

> ISO/TC 37/SC 2 already has an American Chair

The chair of ISO/TC37/SC2, Gerhard Budin, is not from the U.S.A. but
rather is Austrian.

Frankly, inasmuch as the role of a liaison is to report information from
one body to another and not to take independent actions impinging on
either, I don't quite see why nationality is a concern in this
discussion.

Peter Constable

---

From: Peter Constable <[email-masked]>
Date: Sun, 15 Oct 2006 22:27:30 -0700

An ISO WG has a convener; a TC or SC has a chair.

Peter Constable

-----Original Message-----
From: John Cowan [mailto:[email-masked]] 
Sent: Saturday, October 14, 2006 5:03 PM
To: Frank Ellermann
Cc: [email-masked]
Subject: Re: [Ltru] Re: Liaison with TC37/SC2

Could be either: there are conveners at all three levels (Technical
Committee or Joint Technical Committee, SubCommittee, and Working
Group).